!**********************************************
!***Various HardCopy and File Output Options***
!**********************************************
	SUBROUTINE CLINFO()
	USE WINTERACTER
	USE SHAREDVARS
	USE RESOURCE
	INTEGER IOPT,ICOL
	CALL WDialogLoad(IDD_CLINFO)
	CALL WGridClear(IDF_CLINFO_GRID)
	CALL WDialogPutDouble(IDF_CLINFO_TARGETLIKE_DOUBLE,-LIKETARGET)
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,1,1,PARMLCL(1))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,1,2,PARMUCL(1))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,2,1,-FUNCLCL(1))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,2,2,-FUNCUCL(1))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,1,3,PARMLCL(2))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,1,4,PARMUCL(2))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,2,3,-FUNCLCL(2))
	CALL WGridPutCellDouble(IDF_CLINFO_GRID,2,4,-FUNCUCL(2))
	IF(.NOT.CURVEFIT) THEN
		CALL WGridPutCellDouble(IDF_CLINFO_GRID,1,5,PARMLCL(3))
		CALL WGridPutCellDouble(IDF_CLINFO_GRID,2,5,-FUNCLCL(3))
	ENDIF
	DO IOPT=1,NOPTPARM
          	IF(IOPT.EQ.1) ICOL=3
          	IF(IOPT.EQ.2) ICOL=5
          	IF(IOPT.EQ.3) ICOL=6
          	CALL WGridPutCellDouble(IDF_CLINFO_GRID,ICOL,1,OPTPARMATLCL(IOPT,1))
          	CALL WGridPutCellDouble(IDF_CLINFO_GRID,ICOL,2,OPTPARMATUCL(IOPT,1))
          	CALL WGridPutCellDouble(IDF_CLINFO_GRID,ICOL,3,OPTPARMATLCL(IOPT,2))
          	CALL WGridPutCellDouble(IDF_CLINFO_GRID,ICOL,4,OPTPARMATUCL(IOPT,2))
          	IF(.NOT.CURVEFIT) THEN
			IF(IOPT.EQ.2) THEN
				CALL WGridPutCellDouble(IDF_CLINFO_GRID,4,5,OPTPARMATLCL(IOPT,3))
			ELSE
				CALL WGridPutCellDouble(IDF_CLINFO_GRID,ICOL,5,OPTPARMATLCL(IOPT,3))
			ENDIF
		ENDIF
	ENDDO
	DO IOPT=0,NOPTPARM
		IF(IOPT.EQ.0) ICOL=7
          	IF(IOPT.EQ.1) ICOL=8
          	IF(IOPT.EQ.2) ICOL=10
          	IF(IOPT.EQ.3) ICOL=11
          	CALL WGridPutCellInteger(IDF_CLINFO_GRID,ICOL,1,CLFLAGLCL(IOPT,1))
          	CALL WGridPutCellInteger(IDF_CLINFO_GRID,ICOL,2,CLFLAGUCL(IOPT,1))
          	CALL WGridPutCellInteger(IDF_CLINFO_GRID,ICOL,3,CLFLAGLCL(IOPT,2))
          	CALL WGridPutCellInteger(IDF_CLINFO_GRID,ICOL,4,CLFLAGUCL(IOPT,2))
          	IF(.NOT.CURVEFIT) THEN
			IF(IOPT.EQ.2) THEN
 				CALL WGridPutCellInteger(IDF_CLINFO_GRID,9,5,CLFLAGLCL(IOPT,3))
			ELSE
 				CALL WGridPutCellInteger(IDF_CLINFO_GRID,ICOL,5,CLFLAGLCL(IOPT,3))
			ENDIF
		ENDIF
	ENDDO
	CALL WDialogShow(100,100,IDD_CLINFO,MODAL)
	CALL WDialogUnload()
	CALL WDialogSelect(IDD_MAIN)
	RETURN
	END SUBROUTINE CLINFO

